# intro_gui.cpp File Reference

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "gui.h"`
`#include "window_gui.h"`
`#include "textbuf_gui.h"`
`#include "network/network.h"`
`#include "variables.h"`
`#include "heightmap.h"`
`#include "genworld.h"`
`#include "network/network_gui.h"`
`#include "newgrf.h"`
`#include "strings_func.h"`
`#include "window_func.h"`
`#include "fios.h"`
`#include "gfx_func.h"`
`#include "settings_type.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`

Go to the source code of this file.

## Enumerations

enum | SelectGameIntroWidgets { SGI_GENERATE_GAME = 2, SGI_LOAD_GAME, SGI_PLAY_SCENARIO, SGI_PLAY_HEIGHTMAP, SGI_EDIT_SCENARIO, SGI_PLAY_NETWORK, SGI_TEMPERATE_LANDSCAPE, SGI_ARCTIC_LANDSCAPE, SGI_TROPIC_LANDSCAPE, SGI_TOYLAND_LANDSCAPE, SGI_OPTIONS, SGI_DIFFICULTIES, SGI_PATCHES_OPTIONS, SGI_GRF_SETTINGS, SGI_EXIT }

## Functions

static void | SetNewLandscapeType (byte landscape)
static void | SelectGameWndProc (Window *w, WindowEvent *e)
void | ShowSelectGameWindow ()
static void | AskExitGameCallback (Window *w, bool confirmed)
void | AskExitGame ()
static void | AskExitToGameMenuCallback (Window *w, bool confirmed)
void | AskExitToGameMenu ()

## Variables

static const Widget | _select_game_widgets []
static const WindowDesc | _select_game_desc

## Detailed Description

Definition in file intro_gui.cpp.

## Variable Documentation

const WindowDesc _select_game_desc`[static]`

Initial value:

     {
      WDP_CENTER, WDP_CENTER, 336, 195, 336, 195,
      WC_SELECT_GAME, WC_NONE,
      WDF_STD_TOOLTIPS | WDF_DEF_WIDGET | WDF_UNCLICK_BUTTONS,
      _select_game_widgets,
      SelectGameWndProc
    }

Definition at line 125 of file intro_gui.cpp.

const Widget _select_game_widgets[]`[static]`

Initial value:

     {
    {    WWT_CAPTION, RESIZE_NONE, 13,   0, 335,   0,  13, STR_0307_OPENTTD,         STR_NULL},
    {      WWT_PANEL, RESIZE_NONE, 13,   0, 335,  14, 194, 0x0,                      STR_NULL},
    { WWT_PUSHTXTBTN, RESIZE_NONE, 12,  10, 167,  22,  33, STR_0140_NEW_GAME,        STR_02FB_START_A_NEW_GAME},
    { WWT_PUSHTXTBTN, RESIZE_NONE, 12, 168, 325,  22,  33, STR_0141_LOAD_GAME,       STR_02FC_LOAD_A_SAVED_GAME},
    { WWT_PUSHTXTBTN, RESIZE_NONE, 12,  10, 167,  40,  51, STR_029A_PLAY_SCENARIO,   STR_0303_START_A_NEW_GAME_USING},
    { WWT_PUSHTXTBTN, RESIZE_NONE, 12, 168, 325,  40,  51, STR_PLAY_HEIGHTMAP,       STR_PLAY_HEIGHTMAP_HINT},
    { WWT_PUSHTXTBTN, RESIZE_NONE, 12,  10, 167,  58,  69, STR_SCENARIO_EDITOR,      STR_02FE_CREATE_A_CUSTOMIZED_GAME},
    { WWT_PUSHTXTBTN, RESIZE_NONE, 12, 168, 325,  58,  69, STR_MULTIPLAYER,          STR_0300_SELECT_MULTIPLAYER_GAME},

    {   WWT_IMGBTN_2, RESIZE_NONE, 12,  10,  86,  77, 131, SPR_SELECT_TEMPERATE,     STR_030E_SELECT_TEMPERATE_LANDSCAPE},
    {   WWT_IMGBTN_2, RESIZE_NONE, 12,  90, 166,  77, 131, SPR_SELECT_SUB_ARCTIC,    STR_030F_SELECT_SUB_ARCTIC_LANDSCAPE},
    {   WWT_IMGBTN_2, RESIZE_NONE, 12, 170, 246,  77, 131, SPR_SELECT_SUB_TROPICAL,  STR_0310_SELECT_SUB_TROPICAL_LANDSCAPE},
    {   WWT_IMGBTN_2, RESIZE_NONE, 12, 250, 326,  77, 131, SPR_SELECT_TOYLAND,       STR_0311_SELECT_TOYLAND_LANDSCAPE},

    { WWT_PUSHTXTBTN, RESIZE_NONE, 12,  10, 167, 139, 150, STR_0148_GAME_OPTIONS,    STR_0301_DISPLAY_GAME_OPTIONS},
    { WWT_PUSHTXTBTN, RESIZE_NONE, 12, 168, 325, 139, 150, STR_01FE_DIFFICULTY,      STR_0302_DISPLAY_DIFFICULTY_OPTIONS},
    { WWT_PUSHTXTBTN, RESIZE_NONE, 12,  10, 167, 157, 168, STR_CONFIG_PATCHES,       STR_CONFIG_PATCHES_TIP},
    { WWT_PUSHTXTBTN, RESIZE_NONE, 12, 168, 325, 157, 168, STR_NEWGRF_SETTINGS_BUTTON, STR_NULL},

    { WWT_PUSHTXTBTN, RESIZE_NONE, 12, 104, 231, 175, 186, STR_0304_QUIT,            STR_0305_QUIT_OPENTTD},
    {   WIDGETS_END},
    }

Definition at line 25 of file intro_gui.cpp.